%{?scl:%scl_package wsil4j}
%{!?scl:%global pkg_name %{name}}

%global baserelease 1

Name:		%{?scl_prefix}wsil4j
Version:	1.0
Release:	15.%{baserelease}%{?dist}
Summary:	Web Services Inspection Language for Java API

License:	ASL 1.1
URL:		http://svn.apache.org/repos/asf/webservices/archive/wsil4j/

# svn co http://svn.apache.org/repos/asf/webservices/archive/wsil4j/trunk/java/ wsil4j-1.0
# tar -cJf wsil4j-1.0.tar.xz wsil4j-1.0
Source0:	%{pkg_name}-%{version}.tar.xz
Source1:	%{pkg_name}-MANIFEST.MF 
Source2:	%{pkg_name}-%{version}.pom
BuildArch:	noarch

BuildRequires:	zip
BuildRequires:	%{?scl_prefix_maven}ant
BuildRequires:	%{?scl_prefix}uddi4j
BuildRequires:	%{?scl_prefix}wsdl4j
BuildRequires:	%{?scl_prefix_maven}javapackages-local

%description
The Web Services Inspection Language (WS-Inspection) provides a distributed Web
service discovery method, by specifying how to inspect a web site for available
Web services. The WS-Inspection specification defines the locations on a Web
site where you could look for Web service descriptions.

%package javadoc
Summary:	Javadocs for %{pkg_name}

%description javadoc
This package contains the API documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -n %{pkg_name}-%{version} -q

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

ln -s %{_javadir}/uddi4j.jar
ln -s %{_javadir}/wsdl4j.jar
%{?scl:EOFSCL}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
ant -lib ./ compile javadocs
%{?scl:EOFSCL}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
# inject OSGi manifest
mkdir -p META-INF
cp -p %{SOURCE1} META-INF/MANIFEST.MF
touch META-INF/MANIFEST.MF
zip -u build/lib/%{pkg_name}.jar META-INF/MANIFEST.MF

%mvn_artifact %{SOURCE2} build/lib/wsil4j.jar
%mvn_file ":wsil4j" wsil4j
%mvn_install -J build/javadocs
%{?scl:EOFSCL}

%files -f .mfiles
%license LICENSE
%doc docs
%doc README.htm

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Dec 05 2017 Mat Booth <mat.booth@redhat.com> - 1.0-15.1
- Auto SCL-ise package for rh-eclipse47 collection

* Mon Aug 07 2017 Mat Booth <mat.booth@redhat.com> - 1.0-15
- Modernise spec file

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Gerard Ryan <galileo@fedoraproject.org> - 1.0-10
- Remove old maven depmap stuff

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 24 2014 Gerard Ryan <galileo@fedoraproject.org> - 1.0-8
- Use java-headless instead of java

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 08 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.0-4
- Fully removed dependency on xerces-j2

* Fri Jun 08 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.0-3
- Added POM; removed dependency on xerces-j2

* Fri Jun 08 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.0-2
- Added zip to BuildRequires

* Mon May 28 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.0-1
- Initial packaging